package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.ExchangeCargoBean;

public interface ExchangeCargoDal {
	/**
	 * 插入调货信息
	 * @param b
	 * @return
	 */
	int insertExchangeCargo(ExchangeCargoBean b);
	/**
	 * 通过id更新调货信息
	 * @param b
	 */
	void updateExchangeCargoById(ExchangeCargoBean b);
	/**
	 * 根据调货id，更新调货的状态信息
	 * @param status
	 * @param error_code
	 * @param id
	 */
	void updateExchangeCargoStatusById(int status,int error_code,int id);
	/**
	 * 通过id删除调货信息
	 * @param id
	 * @param option_mode
	 */
	void deleteExchangeCargoById(ExchangeCargoBean b);
	/**
	 * 查询所有的调货信息
	 * @return
	 */
	List<ExchangeCargoBean> queryAllExchangeCargoDesc();
	/**
	 * 查询所有的调货信息
	 * @return
	 */
	List<ExchangeCargoBean> queryAllExchangeCargoAsc();
	/**
	 * 通过调货id查询调货信息
	 * @param id
	 * @return
	 */
	ExchangeCargoBean queryExchangeCargoById(int id);
	ExchangeCargoBean getExchangeCargo(Cursor c);
}
